#oersi-doc-main-doc {
	display: flex;
	width:100%;
}

#oersi-doc-main-doc nav {
	position: -webkit-sticky; /* Für Safari */
    position: sticky;
	width: 200px;
    top: 11rem;
	height: 50vh;
  	overflow-x: hidden;
	overflow-y: auto;
}
#oersi-doc-main-doc nav header {
	text-align: center;
	color: $gray-900;
}
#oersi-doc-main-doc nav header .js-logo {
	display: inline-block;
	width: 40px;
	text-align: right;
	color: $white;
	background-color: #fdd600;
}
#oersi-doc-main-doc nav ul {
	display: flex;
	flex-direction: column;
	list-style: none;
}
#oersi-doc-main-doc nav ul li {
	display: flex;
	border-bottom: 1px solid #efefef;
}
#oersi-doc-main-doc nav ul li a {
	position: relative;
	font-size: 0.9rem;
	font-weight: 500;
	line-height: 1.55rem;
	text-decoration: none;
	color: $blue-500;
	transition: all 0.3s;
	padding: 0.5rem;
	margin-left: 10px;
	&:hover {
		color: $blue-400;
		transform: translateX(2px);
	}
	&:before {
		content: "";
    position: absolute;
    left: -6px;
	top: 16px;
    width: 8px;
    height: 8px;
    background: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KICA8cG9seWdvbiBwb2ludHM9IjAsMCAyMCwxMCAwLDIwIiBmaWxsPSIjMDI3MmFhIi8+Cjwvc3ZnPg==") no-repeat center center;
    background-size: contain;
    z-index: 10;
	}
}
#oersi-doc-main-doc .container {
	padding: 0rem 7% 4rem;
	max-width:100ch;
}
#oersi-doc-main-doc .container p {
	margin: map-get($spacing, 2) map-get($spacing, 0);
	color: $gray-900;
}
#oersi-doc-main-doc .container em {
	color: $gray-900;
}
#oersi-doc-main-doc .container ul {
	margin: map-get($spacing, 4) map-get($spacing, 0);
}
#oersi-doc-main-doc .container ul li {
	padding: map-get($spacing, 4) map-get($spacing, 0);
	margin: map-get($spacing, 0);
	color: $gray-900;
	border-bottom: 1px solid $gray-50;
}
#oersi-doc-main-doc pre {
	margin: map-get($spacing, 0);
	height: min-content;
	color: $gray-100;
	overflow-x: scroll;
	border: 1px solid $gray-50;
	box-shadow: 0 5px 10px -6px rgba(0, 0, 0, 0.1);
	background-color: $gray-900;
}

#oersi-doc-main-doc code {
	@include typography(sm);
	line-height: map-get($spacing, 7);
	padding: map-get($spacing, 1) map-get($spacing, 1);
	margin:0;
}

#oersi-doc-main-doc ol li code {
	padding-left: map-get($spacing, 3);
	padding-right: map-get($spacing, 3);
}

#oersi-doc-main-doc .optional {
	font-weight:500;
	font-style:italic;
	@include typography(sm);
	margin: map-get($spacing, 0) map-get($spacing, 1);
}

#oersi-doc-main-doc details {
    border: 0px solid #ccc;
    border-radius: 4px;
    margin: map-get($spacing, 3) map-get($spacing, 0);
}

#oersi-doc-main-doc summary {
    cursor: pointer;
    padding: map-get($spacing, 2) map-get($spacing, 2);
    background-color: $gray-50;
    transition: background-color 0.3s;
	h3 {
		@include typography(base);
		margin: map-get($spacing, 0) map-get($spacing, 0);
		display: inline;
	}
}

#oersi-doc-main-doc details .details-content {
	padding: map-get($spacing, 4) map-get($spacing, 6);
	border: 1px solid $gray-50;
	box-shadow: 0 5px 10px -6px rgba(0, 0, 0, 0.1);
}

#oersi-doc-main-doc summary:hover {
    background-color: $gray-100;
}

@media (max-width: 768px) {
	#oersi-doc-main-doc nav {
		display: none;
	}
	#oersi-doc-main-doc .container {
		padding: 0;
		margin: auto;
	}
}
